Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008936opensim[GRID] Robust Serverpublic2021-10-14 08:372021-10-17 18:28
Reporterdjphil 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformPCOperating SystemWindowsOperating System Version10
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0008936: [FEATURE REQUEST] Also load startuplogo.txt in Robust console
DescriptionCan you make startuplogo.txt also load in Robust console ?

Thank you in advance.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim, ubODE
Script EngineXEngine, YEngine
EnvironmentUnknown, .NET / Windows32, .NET / Windows64
Mono VersionNone
ViewerFirestorm
Attached Filespatch file icon 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch [^] (2,176 bytes) 2021-10-15 05:50 [Show Content]

- Relationships

-  Notes
(0038011)
tampa (reporter)
2021-10-14 11:34

After a bit of testing to figure out what exactly the aim is I think I got it at the correct spot. Mostly copy paste code with just changing to console write directly to avoid applying colors.
(0038014)
djphil (reporter)
2021-10-15 00:21
edited on: 2021-10-15 00:22

There is still a slight difference between the logo which is displayed on the simulator console and the logo which is displayed on the robust console.

Robust print like this: 
[!] LOGO ...

Simulator print like this:
09:16:20 - [!]: LOGO ...


(0038015)
tampa (reporter)
2021-10-15 04:34
edited on: 2021-10-15 04:35

I don't see the timestamp when I test, perhaps I changed the logging parameters though. Is the time important?

More to the point, doesn't that distract from the logo itself. It's just a string at the point so displaying it full width without and prefixes is also possible, might look "cleaner"?

(0038016)
djphil (reporter)
2021-10-15 05:04

The objective is to have the same display on Robust console as the display of Simulator console.
(0038017)
tampa (reporter)
2021-10-15 05:45

Then it has to switch to the logging system, which I am not sure is initialized in that code path, but we can try.
(0038025)
djphil (reporter)
2021-10-17 12:34

Here it is, like that is perfect, it is exactly the same on the 2 consoles.

Thanks to you!
(0038026)
djphil (reporter)
2021-10-17 12:38

Note however that the name of the txt file is not correct.
The original name of the file is: startuplogo.txt and not startuplogo_server.txt
(0038027)
tampa (reporter)
2021-10-17 12:39

That's because one is for robust and one for simulator, should keep those separate.
(0038028)
djphil (reporter)
2021-10-17 12:43

Well the goal was to have the same file for the 2 consoles ...
(0038029)
UbitUmarov (administrator)
2021-10-17 15:41

patch on master but filename changed to robuststartuplogo.txt
thanks
(0038030)
tampa (reporter)
2021-10-17 18:28

Looks good, always happy to help :)

- Issue History
Date Modified Username Field Change
2021-10-14 08:37 djphil New Issue
2021-10-14 09:17 tampa File Added: 0001-Print-startuplogo.txt-in-Robust.patch
2021-10-14 09:35 tampa File Deleted: 0001-Print-startuplogo.txt-in-Robust.patch
2021-10-14 09:35 tampa File Added: 0001-Print-startuplogo.txt-in-Robust.patch
2021-10-14 09:58 tampa File Deleted: 0001-Print-startuplogo.txt-in-Robust.patch
2021-10-14 09:58 tampa File Added: 0001-Print-startuplogo.txt-in-Robust.patch
2021-10-14 10:06 tampa File Deleted: 0001-Print-startuplogo.txt-in-Robust.patch
2021-10-14 10:51 tampa File Added: 0101-Print-startuplogo.txt-in-Robust.patch
2021-10-14 11:15 tampa File Deleted: 0101-Print-startuplogo.txt-in-Robust.patch
2021-10-14 11:30 tampa File Added: 0101-Print-startuplogo.txt-in-Robust.patch
2021-10-14 11:34 tampa Note Added: 0038011
2021-10-14 11:34 tampa Status new => patch included
2021-10-14 14:27 tampa File Deleted: 0101-Print-startuplogo.txt-in-Robust.patch
2021-10-14 14:27 tampa File Added: 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch
2021-10-15 00:21 djphil Note Added: 0038014
2021-10-15 00:22 djphil Note Edited: 0038014 View Revisions
2021-10-15 04:32 tampa File Deleted: 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch
2021-10-15 04:33 tampa File Added: 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch
2021-10-15 04:34 tampa Note Added: 0038015
2021-10-15 04:35 tampa Note Edited: 0038015 View Revisions
2021-10-15 05:04 djphil Note Added: 0038016
2021-10-15 05:45 tampa Note Added: 0038017
2021-10-15 05:49 tampa File Deleted: 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch
2021-10-15 05:49 tampa File Added: 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch
2021-10-15 05:50 tampa File Deleted: 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch
2021-10-15 05:50 tampa File Added: 0101-Load-startuplogo_server.txt-as-logo-for-Robust.patch
2021-10-17 12:34 djphil Note Added: 0038025
2021-10-17 12:38 djphil Note Added: 0038026
2021-10-17 12:39 tampa Note Added: 0038027
2021-10-17 12:43 djphil Note Added: 0038028
2021-10-17 15:41 UbitUmarov Note Added: 0038029
2021-10-17 18:28 tampa Note Added: 0038030
2021-10-17 18:28 tampa Status patch included => resolved
2021-10-17 18:28 tampa Fixed in Version => master (dev code)
2021-10-17 18:28 tampa Resolution open => fixed
2021-10-17 18:28 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker